Bug 44638 - banners foo ssh in scripts
Summary: banners foo ssh in scripts
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-14 21:32 UTC by Matthew Galgoci
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-14 21:33:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Galgoci 2001-06-14 21:32:05 UTC
Description of Problem:

when the ssh client connects to an sshd server that displays banners before
login, the banners are printed on standard out, which totally screws over
and shell scripts that you are running. Ideally, and banner message should
be printed to anything other than standard out, like perhaps standard 
error.

Comment 1 Nalin Dahyabhai 2001-09-06 12:52:49 UTC
At least as of 2.9p2, banner messages are sent to stderr, which should solve
this problem.


Note You need to log in before you can comment on or make changes to this bug.